using System;
using System.Windows.Forms;
using OpenAL;
using Sample.FileLoader;

namespace Sample
{
    public partial class WavSoundForm : Form
    {
		SoundGenerator sound_generator = new SoundGenerator();

		public WavSoundForm()
        {
            InitializeComponent();
        }

        private void WavSoundForm_Load(object sender, EventArgs e)
        {
        }

        private void WavSoundForm_FormClosed(object sender, FormClosedEventArgs e)
        {
			sound_generator.DeleteSources();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
		}

        private void btnStop_Click(object sender, EventArgs e)
        {
		}

        private void btnPause_Click(object sender, EventArgs e)
        {
		}

		private void button1_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.DO);
		}

		private void button2_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.RE);
		}

		private void button3_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.MI);

		}

		private void button4_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.FA);

		}

		private void button5_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.SOL);

		}

		private void button6_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.LA);

		}

		private void button7_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.SI);

		}

		private void button8_Click(object sender, EventArgs e)
		{
			sound_generator.PlayNote(SoundGenerator.DO2);
		}

		private void button9_Click(object sender, EventArgs e)
		{
			Notes notes = new Notes((char)Convert.ToInt32("11001001", 2), (char)Convert.ToInt32("11001001", 2));
			Console.WriteLine(notes.toString());
		}

		private void button10_Click(object sender, EventArgs e)
		{
			int first_notes = 0;
			int second_notes = 0xFF;

			if (!checkBox1.Checked)
				first_notes += 1 << 7;
			if (!checkBox2.Checked)
				first_notes += 1 << 6;
			if (!checkBox3.Checked)
				first_notes += 1 << 5;
			if (!checkBox4.Checked)
				first_notes += 1 << 4;

			if (!checkBox5.Checked)
				first_notes += 1 << 3;
			if (!checkBox6.Checked)
				first_notes += 1 << 2;
			if (!checkBox7.Checked)
				first_notes += 1 << 1;
			if (!checkBox8.Checked)
				first_notes += 1 << 0;
			sound_generator.PlayNotes(new Notes(first_notes, second_notes));

		}        
    }
}