﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Sample
{
	class Notes
	{
		public const int NUM_NOTES = 16;
		int[] data = new int[NUM_NOTES];

		public Notes(int first_notes, int second_notes)
		{
			int input = (first_notes << 8) + second_notes;
			for (int i = 0; i < NUM_NOTES; i++)
			{
				int shift = (NUM_NOTES - 1) - i;
				data[i] = 0;
				if ((~input & (1 << shift)) != 0)
					data[i] = 1;
			}
		}
		public int getNote(int index)
		{
			return data[index];
		}
		public String toString()
		{
			String content = "";
			for (int i = 0; i < NUM_NOTES; i++)
				content += data[i];
			return content;
		}

	}
}
